<IscAppHostConfig>
  <Logging>
    <!-- Set options for appender named "SL". Appender "SL" will be a SyslogAppender -->
    <Property key="log4cplus.appender.SL" value="log4cplus::SysLogAppender" />

    <!-- SL's layout is a PatternLayout, using the conversion pattern r %-5p c{2} M.L x - m.
         Thus, the log output will include # the relative time since the start of the application in milliseconds, followed by the 
         LogLevel of the log request, followed by the two rightmost components of the logger name, followed by the callers method name, 
         followed by the line number, the nested diagnostic context and finally the message itself.
         Refer to the documentation of PatternLayout for further information on the syntax of the ConversionPattern key. -->
    <Property key="log4cplus.appender.SL.layout" value="log4cplus::PatternLayout" />
    <Property key="log4cplus.appender.SL.layout.ConversionPattern" value="%d{%H:%M:%S.%q} %c %m%n" />

    <!-- Set options for appender named "LF". LF should be a RollingFileAppender, with maximum file size of 10 MB using at most one backup 
         file. LF's layout is TTCC, using the ISO8061 date format with context printing enabled. -->
    <Property key="log4cplus.appender.LF" value="log4cplus::RollingFileAppender" />
    <Property key="log4cplus.appender.LF.MaxFileSize" value="512KB" />
    <Property key="log4cplus.appender.LF.MaxBackupIndex" value="1" />
    <Property key="log4cplus.appender.LF.layout" value="log4cplus::PatternLayout" />
    <Property key="log4cplus.appender.LF.layout.ConversionPattern" value="%d{%y-%m-%d %H:%M:%S.%q} [%t] %p %c, %m%n" />
    <Property key="log4cplus.appender.LF.layout.ContextPrinting" value="enabled" />
    <Property key="log4cplus.appender.LF.layout.DateFormat" value="%Y-%m-%d %H:%M:%S.%q" />
    <Property key="log4cplus.appender.LF.File" value="/var/log/iscapphost.log" />
    <Property key="log4cplus.appender.LF.Append" value="true" />
    <Property key="log4cplus.appender.LF.ImmediateFlush" value="true" />
	
    <!-- Set options for appender named "LFP". LFP should be a RollingFileAppender, with maximum file size of 1 MB using at most one backup 
         file. LFP's layout is TTCC, using the ISO8061 date format with context printing enabled. -->
    <Property key="log4cplus.appender.LFP" value="log4cplus::RollingFileAppender" />
    <Property key="log4cplus.appender.LFP.MaxFileSize" value="512KB" />
    <Property key="log4cplus.appender.LFP.MaxBackupIndex" value="1" />
    <Property key="log4cplus.appender.LFP.layout" value="log4cplus::PatternLayout" />
    <Property key="log4cplus.appender.LFP.layout.ConversionPattern" value="%d{%y-%m-%d %H:%M:%S.%q} [%t] %p %c, %m (%F:%L)%n" />
    <Property key="log4cplus.appender.LFP.layout.ContextPrinting" value="enabled" />
    <Property key="log4cplus.appender.LFP.layout.DateFormat" value="%Y-%m-%d %H:%M:%S.%q" />
    <Property key="log4cplus.appender.LFP.File" value="/opt/userdata/log/iscapphostError.log" />
    <Property key="log4cplus.appender.LFP.Append" value="true" />
    <Property key="log4cplus.appender.LFP.ImmediateFlush" value="true" />
    <!-- Persistent log should only contain logging of level ERROR and above if not in debugging mode -->
    <Property key="log4cplus.appender.LFP.Threshold" value="ERROR" />
    
    <!-- Set options for appender named "C". C should be a ConsoleAppender -->
    <Property key="log4cplus.appender.C" value="log4cplus::ConsoleAppender" />

    <!-- Root logger set to INFO using the LFP appender defined above. -->
    <Property key="log4cplus.rootLogger" value="INFO,LF,LFP" />
  </Logging>

  <Debugging Active="0">
    <!-- AppHost startup disabled implies AppConnectorHost startup disabled as well-->
    <AppHost RootPath="" DisableStartup="0" />
    <AppConnectorHost RootPath="" DisableStartup="0" />
    <App RootPath="" />
    <ManagedApp RootPath="" />
  </Debugging>

  <ObjectModelConfig Path="/opt/userdata/devicestack/iscOM" />
</IscAppHostConfig>
